OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.AMD.GPUShaderInt64

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDGPUShaderInt64 :: MonadIO m => m Bool
- gl_AMD_gpu_shader_int64 :: Bool
- pattern GL_FLOAT16_NV :: GLenum
- pattern GL_FLOAT16_VEC2_NV :: GLenum
- pattern GL_FLOAT16_VEC3_NV :: GLenum
- pattern GL_FLOAT16_VEC4_NV :: GLenum
- pattern GL_INT16_NV :: GLenum
- pattern GL_INT16_VEC2_NV :: GLenum
- pattern GL_INT16_VEC3_NV :: GLenum
- pattern GL_INT16_VEC4_NV :: GLenum
- pattern GL_INT64_NV :: GLenum
- pattern GL_INT64_VEC2_NV :: GLenum
- pattern GL_INT64_VEC3_NV :: GLenum
- pattern GL_INT64_VEC4_NV :: GLenum
- pattern GL_INT8_NV :: GLenum
- pattern GL_INT8_VEC2_NV :: GLenum
- pattern GL_INT8_VEC3_NV :: GLenum
- pattern GL_INT8_VEC4_NV :: GLenum
- pattern GL_UNSIGNED_INT16_NV :: GLenum
- pattern GL_UNSIGNED_INT16_VEC2_NV :: GLenum
- pattern GL_UNSIGNED_INT16_VEC3_NV :: GLenum
- pattern GL_UNSIGNED_INT16_VEC4_NV :: GLenum
- pattern GL_UNSIGNED_INT64_NV :: GLenum
- pattern GL_UNSIGNED_INT64_VEC2_NV :: GLenum
- pattern GL_UNSIGNED_INT64_VEC3_NV :: GLenum
- pattern GL_UNSIGNED_INT64_VEC4_NV :: GLenum
- pattern GL_UNSIGNED_INT8_NV :: GLenum
- pattern GL_UNSIGNED_INT8_VEC2_NV :: GLenum
- pattern GL_UNSIGNED_INT8_VEC3_NV :: GLenum
- pattern GL_UNSIGNED_INT8_VEC4_NV :: GLenum
- glGetUniformi64vNV :: MonadIO m => GLuint -> GLint -> Ptr GLint64EXT -> m ()
- glGetUniformui64vNV :: MonadIO m => GLuint -> GLint -> Ptr GLuint64EXT -> m ()
- glProgramUniform1i64NV :: MonadIO m => GLuint -> GLint -> GLint64EXT -> m ()
- glProgramUniform1i64vNV :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint64EXT -> m ()
- glProgramUniform1ui64NV :: MonadIO m => GLuint -> GLint -> GLuint64EXT -> m ()
- glProgramUniform1ui64vNV :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64EXT -> m ()
- glProgramUniform2i64NV :: MonadIO m => GLuint -> GLint -> GLint64EXT -> GLint64EXT -> m ()
- glProgramUniform2i64vNV :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint64EXT -> m ()
- glProgramUniform2ui64NV :: MonadIO m => GLuint -> GLint -> GLuint64EXT -> GLuint64EXT -> m ()
- glProgramUniform2ui64vNV :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64EXT -> m ()
- glProgramUniform3i64NV :: MonadIO m => GLuint -> GLint -> GLint64EXT -> GLint64EXT -> GLint64EXT -> m ()
- glProgramUniform3i64vNV :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint64EXT -> m ()
- glProgramUniform3ui64NV :: MonadIO m => GLuint -> GLint -> GLuint64EXT -> GLuint64EXT -> GLuint64EXT -> m ()
- glProgramUniform3ui64vNV :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64EXT -> m ()
- glProgramUniform4i64NV :: MonadIO m => GLuint -> GLint -> GLint64EXT -> GLint64EXT -> GLint64EXT -> GLint64EXT -> m ()
- glProgramUniform4i64vNV :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint64EXT -> m ()
- glProgramUniform4ui64NV :: MonadIO m => GLuint -> GLint -> GLuint64EXT -> GLuint64EXT -> GLuint64EXT -> GLuint64EXT -> m ()
- glProgramUniform4ui64vNV :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64EXT -> m ()
- glUniform1i64NV :: MonadIO m => GLint -> GLint64EXT -> m ()
- glUniform1i64vNV :: MonadIO m => GLint -> GLsizei -> Ptr GLint64EXT -> m ()
- glUniform1ui64NV :: MonadIO m => GLint -> GLuint64EXT -> m ()
- glUniform1ui64vNV :: MonadIO m => GLint -> GLsizei -> Ptr GLuint64EXT -> m ()
- glUniform2i64NV :: MonadIO m => GLint -> GLint64EXT -> GLint64EXT -> m ()
- glUniform2i64vNV :: MonadIO m => GLint -> GLsizei -> Ptr GLint64EXT -> m ()
- glUniform2ui64NV :: MonadIO m => GLint -> GLuint64EXT -> GLuint64EXT -> m ()
- glUniform2ui64vNV :: MonadIO m => GLint -> GLsizei -> Ptr GLuint64EXT -> m ()
- glUniform3i64NV :: MonadIO m => GLint -> GLint64EXT -> GLint64EXT -> GLint64EXT -> m ()
- glUniform3i64vNV :: MonadIO m => GLint -> GLsizei -> Ptr GLint64EXT -> m ()
- glUniform3ui64NV :: MonadIO m => GLint -> GLuint64EXT -> GLuint64EXT -> GLuint64EXT -> m ()
- glUniform3ui64vNV :: MonadIO m => GLint -> GLsizei -> Ptr GLuint64EXT -> m ()
- glUniform4i64NV :: MonadIO m => GLint -> GLint64EXT -> GLint64EXT -> GLint64EXT -> GLint64EXT -> m ()
- glUniform4i64vNV :: MonadIO m => GLint -> GLsizei -> Ptr GLint64EXT -> m ()
- glUniform4ui64NV :: MonadIO m => GLint -> GLuint64EXT -> GLuint64EXT -> GLuint64EXT -> GLuint64EXT -> m ()
- glUniform4ui64vNV :: MonadIO m => GLint -> GLsizei -> Ptr GLuint64EXT -> m ()

# Extension Support

glGetAMDGPUShaderInt64 :: MonadIO m => m Bool Source #

Is the AMD_gpu_shader_int64 extension supported?

gl_AMD_gpu_shader_int64 :: Bool Source #

Is the AMD_gpu_shader_int64 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDGPUShaderInt64` in those cases instead.

# Enums

pattern GL_FLOAT16_NV :: GLenum Source #

pattern GL_FLOAT16_VEC2_NV :: GLenum Source #

pattern GL_FLOAT16_VEC3_NV :: GLenum Source #

pattern GL_FLOAT16_VEC4_NV :: GLenum Source #

pattern GL_INT16_NV :: GLenum Source #

pattern GL_INT16_VEC2_NV :: GLenum Source #

pattern GL_INT16_VEC3_NV :: GLenum Source #

pattern GL_INT16_VEC4_NV :: GLenum Source #

pattern GL_INT64_NV :: GLenum Source #

pattern GL_INT64_VEC2_NV :: GLenum Source #

pattern GL_INT64_VEC3_NV :: GLenum Source #

pattern GL_INT64_VEC4_NV :: GLenum Source #

pattern GL_INT8_NV :: GLenum Source #

pattern GL_INT8_VEC2_NV :: GLenum Source #

pattern GL_INT8_VEC3_NV :: GLenum Source #

pattern GL_INT8_VEC4_NV :: GLenum Source #

pattern GL_UNSIGNED_INT16_NV :: GLenum Source #

pattern GL_UNSIGNED_INT16_VEC2_NV :: GLenum Source #

pattern GL_UNSIGNED_INT16_VEC3_NV :: GLenum Source #

pattern GL_UNSIGNED_INT16_VEC4_NV :: GLenum Source #

pattern GL_UNSIGNED_INT64_NV :: GLenum Source #

pattern GL_UNSIGNED_INT64_VEC2_NV :: GLenum Source #

pattern GL_UNSIGNED_INT64_VEC3_NV :: GLenum Source #

pattern GL_UNSIGNED_INT64_VEC4_NV :: GLenum Source #

pattern GL_UNSIGNED_INT8_NV :: GLenum Source #

pattern GL_UNSIGNED_INT8_VEC2_NV :: GLenum Source #

pattern GL_UNSIGNED_INT8_VEC3_NV :: GLenum Source #

pattern GL_UNSIGNED_INT8_VEC4_NV :: GLenum Source #

# Functions

glGetUniformi64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLint64EXT | `params` pointing to `COMPSIZE(program,location)` elements of type `GLint64EXT`.
-> m () |

glGetUniformui64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLuint64EXT | `params` pointing to `COMPSIZE(program,location)` elements of type `GLuint64EXT`.
-> m () |

glProgramUniform1i64NV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint64EXT | `x`.
-> m () |

glProgramUniform1i64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64EXT | `value` pointing to `count` elements of type `GLint64EXT`.
-> m () |

glProgramUniform1ui64NV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint64EXT | `x`.
-> m () |

glProgramUniform1ui64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64EXT | `value` pointing to `count` elements of type `GLuint64EXT`.
-> m () |

glProgramUniform2i64NV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint64EXT | `x`.
-> GLint64EXT | `y`.
-> m () |

glProgramUniform2i64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64EXT | `value` pointing to `count*2` elements of type `GLint64EXT`.
-> m () |

glProgramUniform2ui64NV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint64EXT | `x`.
-> GLuint64EXT | `y`.
-> m () |

glProgramUniform2ui64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64EXT | `value` pointing to `count*2` elements of type `GLuint64EXT`.
-> m () |

glProgramUniform3i64NV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint64EXT | `x`.
-> GLint64EXT | `y`.
-> GLint64EXT | `z`.
-> m () |

glProgramUniform3i64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64EXT | `value` pointing to `count*3` elements of type `GLint64EXT`.
-> m () |

glProgramUniform3ui64NV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint64EXT | `x`.
-> GLuint64EXT | `y`.
-> GLuint64EXT | `z`.
-> m () |

glProgramUniform3ui64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64EXT | `value` pointing to `count*3` elements of type `GLuint64EXT`.
-> m () |

glProgramUniform4i64NV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint64EXT | `x`.
-> GLint64EXT | `y`.
-> GLint64EXT | `z`.
-> GLint64EXT | `w`.
-> m () |

glProgramUniform4i64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64EXT | `value` pointing to `count*4` elements of type `GLint64EXT`.
-> m () |

glProgramUniform4ui64NV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint64EXT | `x`.
-> GLuint64EXT | `y`.
-> GLuint64EXT | `z`.
-> GLuint64EXT | `w`.
-> m () |

glProgramUniform4ui64vNV Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64EXT | `value` pointing to `count*4` elements of type `GLuint64EXT`.
-> m () |

glUniform1i64NV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint64EXT | `x`.
-> m () |

glUniform1i64vNV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64EXT | `value` pointing to `count*1` elements of type `GLint64EXT`.
-> m () |

glUniform1ui64NV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint64EXT | `x`.
-> m () |

glUniform1ui64vNV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64EXT | `value` pointing to `count*1` elements of type `GLuint64EXT`.
-> m () |

glUniform2i64NV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint64EXT | `x`.
-> GLint64EXT | `y`.
-> m () |

glUniform2i64vNV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64EXT | `value` pointing to `count*2` elements of type `GLint64EXT`.
-> m () |

glUniform2ui64NV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint64EXT | `x`.
-> GLuint64EXT | `y`.
-> m () |

glUniform2ui64vNV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64EXT | `value` pointing to `count*2` elements of type `GLuint64EXT`.
-> m () |

glUniform3i64NV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint64EXT | `x`.
-> GLint64EXT | `y`.
-> GLint64EXT | `z`.
-> m () |

glUniform3i64vNV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64EXT | `value` pointing to `count*3` elements of type `GLint64EXT`.
-> m () |

glUniform3ui64NV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint64EXT | `x`.
-> GLuint64EXT | `y`.
-> GLuint64EXT | `z`.
-> m () |

glUniform3ui64vNV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64EXT | `value` pointing to `count*3` elements of type `GLuint64EXT`.
-> m () |

glUniform4i64NV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint64EXT | `x`.
-> GLint64EXT | `y`.
-> GLint64EXT | `z`.
-> GLint64EXT | `w`.
-> m () |

glUniform4i64vNV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64EXT | `value` pointing to `count*4` elements of type `GLint64EXT`.
-> m () |

glUniform4ui64NV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint64EXT | `x`.
-> GLuint64EXT | `y`.
-> GLuint64EXT | `z`.
-> GLuint64EXT | `w`.
-> m () |

glUniform4ui64vNV Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64EXT | `value` pointing to `count*4` elements of type `GLuint64EXT`.
-> m () |